## git-reintegrate 0.3

=== Makefile ===
prefix := $(HOME)

all:

doc: doc/git-reintegrate.1

test:
	$(MAKE) -C test

doc/git-reintegrate.1: doc/git-reintegrate.txt
	a2x -d manpage -f manpage $<

D = $(DESTDIR)

install:
	install -D -m 755 git-reintegrate \
		$(D)$(prefix)/bin/git-reintegrate

install-doc: doc
	install -D -m 644 doc/git-reintegrate.1 \
		$(D)$(prefix)/share/man/man1/git-reintegrate.1

.PHONY: all test

=== test/Makefile ===
RM ?= rm -f

T = $(wildcard *.t)

all: test

test: $(T)
	$(MAKE) clean

$(T):
	$(SHELL) $@ $(TEST_OPTS)

clean:
	$(RM) -r 'trash directory'.* test-results

.PHONY: all test $(T) clean

=== debian/changelog ===
git-reintegrate (0.3-2) unstable; urgency=medium

  * Require ruby >= 1.9.3.
  * Fixed Vcs-Browser URL.
  * Mention in debian/copyright that test/sharness is GPL-2.0+, not
    GPL-2.0 (thanks Thorsten Alteholz).

 -- Yann Dirson <dirson@debian.org>  Mon, 28 Jul 2014 22:18:56 +0200

git-reintegrate (0.3-1) unstable; urgency=low

  * Initial release (Closes: #755957).

 -- Yann Dirson <dirson@debian.org>  Thu, 24 Jul 2014 22:39:08 +0200

=== debian/control ===
Source: git-reintegrate
Section: vcs
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>= 9), asciidoc, docbook-xsl, xsltproc, ruby (>= 1.9.3), git
Standards-Version: 3.9.5
Homepage: https://github.com/felipec/git-reintegrate
Vcs-Git: git://anonscm.debian.org/collab-maint/git-reintegrate.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/git-reintegrate.git;a=summary

Package: git-reintegrate
Architecture: all
Depends: git, ruby (>= 1.9.3), ${misc:Depends}
Description: Git extension to manage integration branches
 This tools allows one to define which feature branches will be part
 of your integration branches, and help you update the latter as new
 versions of the feature branches are available.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ 

override_dh_auto_build:
	#$(MAKE) doc
	a2x -v -L --xsltproc-opts="--nonet --novalid" -d manpage -f manpage doc/git-reintegrate.txt

override_dh_auto_install:
	$(MAKE) install install-doc prefix=/usr DESTDIR=$(CURDIR)/debian/git-reintegrate

override_dh_auto_clean:
	rm -f doc/git-reintegrate.1

## git-reintegrate 0.4

=== Makefile ===
prefix := $(HOME)

bindir := $(prefix)/bin
mandir := $(prefix)/share/man/man1

all: doc

doc: doc/git-reintegrate.1

test:
	$(MAKE) -C test

doc/git-reintegrate.1: doc/git-reintegrate.txt
	a2x -d manpage -f manpage $<

clean:
	$(RM) doc/git-reintegrate.1

D = $(DESTDIR)

install:
	install -d -m 755 $(D)$(bindir)/
	install -m 755 git-reintegrate $(D)$(bindir)/git-reintegrate

install-doc: doc
	install -d -m 755 $(D)$(mandir)/
	install -m 644 doc/git-reintegrate.1 $(D)$(mandir)/git-reintegrate.1

.PHONY: all test install install-doc clean

=== debian/changelog ===
git-reintegrate (0.4-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 17 Jan 2021 15:25:53 +0100

git-reintegrate (0.4-2) unstable; urgency=medium

  * Include patches from my still-unresponded 2018 PRs:
    * Fix handling of options to "merge" command
    * Fix "git merge-base" invocation
    * Mention reintegrations as such in reflog
    * Make reintegrate operations stand out in output
  * Update Vcs-* for salsa.
  * Use https for copyright format URI (lintian).
  * Switch to debhelper-compat 12.

 -- Yann Dirson <dirson@debian.org>  Sat, 02 Jan 2021 16:51:16 +0100

git-reintegrate (0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Fri, 03 Jun 2016 23:56:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: vcs
 Priority: optional
 Maintainer: Yann Dirson <dirson@debian.org>
-Build-Depends: debhelper (>= 9), asciidoc, docbook-xsl, xsltproc, ruby (>= 1.9.3), git
+Build-Depends: debhelper-compat (= 12), asciidoc, docbook-xsl, xsltproc, ruby (>= 1.9.3), git
 Standards-Version: 3.9.5
 Homepage: https://github.com/felipec/git-reintegrate
-Vcs-Git: git://anonscm.debian.org/collab-maint/git-reintegrate.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/git-reintegrate.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/git-reintegrate.git
+Vcs-Browser: https://salsa.debian.org/debian/git-reintegrate
 
 Package: git-reintegrate
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_build:
 	#$(MAKE) doc

=== debian/watch ===
version=3
https://github.com/felipec/git-reintegrate/releases /felipec/git-reintegrate/archive/v(.*)\.tar\.gz
